SDIFF(1)

NAME
sdiff - side-by-side merge of file differences

SYNOPSIS
sdiff [OPTION]... FILE1 FILE2

DESCRIPTION
Side-by-side merge of file differences.

-o FILE  --output=FILE
    Operate interactively, sending output to FILE.

-i  --ignore-case
    Consider upper- and lower-case to be the same.

-E  --ignore-tab-expansion
    Ignore changes due to tab expansion.

-b  --ignore-space-change
    Ignore changes in the amount of white space.

-W  --ignore-all-space
    Ignore all white space.

-B  --ignore-blank-lines
    Ignore changes whose lines are all blank.

-I RE  --ignore-matching-lines=RE
    Ignore changes whose lines all match RE.

--strip-trailing-cr
    Strip trailing carriage return on input.

-a  --text
    Treat all files as text.

-w NUM  --width=NUM
    Output at most NUM (default 130) print columns.

-l  --left-column
    Output only the left column of common lines.

-s  --suppress-common-lines
    Do not output common lines.

-t  --expand-tabs
    Expand tabs to spaces in output.

--tabsize=NUM
    Tab stops are every NUM (default 8) print columns.

-d  --minimal
    Try hard to find a smaller set of changes.

-H  --speed-large-files
    Assume large files and many scattered small changes.

--diff-program=PROGRAM
    Use PROGRAM to compare files.

-v  --version
    Output version info.

--help
    Output this help.

If a FILE is `-', read standard input. Exit status is 0 if inputs are the same, 1 if different, 2 if trouble.

AUTHOR
Written by Thomas Lord.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for sdiff is maintained as a Texinfo manual. If the info and sdiff programs are properly installed at your site, the command

    info diff

should give you access to the complete manual.